PDFCRACK(1)

NAME
pdfcrack - PDF files password cracker

SYNOPSIS
     pdfcrack -f filename [options]

DESCRIPTION
pdfcrack is a simple tool for recovering passwords from pdf-documents. It should be able to handle all pdfs that uses the standard security handler but the pdf-parsing routines are a bit of a quick hack so you might stumble across some pdfs where the parser needs to be fixed to handle.

OPTIONS

-b, --bench
    Perform benchmark and exit.

-c, --charset=STRING
    Use the characters in STRING as charset.

-m, --maxpw=INTEGER
    Stop when reaching INTEGER as password length.

-n, --minpw=INTEGER
    Skip trying passwords shorter than INTEGER.

-l, --loadState=FILE
    Continue from the state saved in FILENAME.

-o, --owner
    Work with the ownerpassword.

-p, --password=STRING
    Uses STRING as userpassword to speed up breaking ownerpassword (implies -o).

-q, --quiet
    Run quietly.

-s, --permutate
    Try permutating the passwords (currently only supports switching first character to uppercase).

-u, --user
    Work with the userpassword (default).

-v, --version
    Print version and exit.

-w, --wordlist=FILE
    Use FILE as source of passwords to try.

WARNING
Don't use pdfcrack to illegal actions, as crack personal passwords from another people. The local laws must be observed when installing and using this program.

AUTHOR
pdfcrack was written by Henning Noren <confusion42@users.sf.net>. This manual page was written by Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> and Nacho Barrientos Arias <nacho@debian.org> for the Debian project (but may be used by others).